Data Fields

# CompanySettings Struct Reference

Settings that can be set per company. More...

`#include <settings_type.h>`

## Data Fields
bool | engine_renew
| is autorenew enabled
int16 | engine_renew_months
| months before/after the maximum vehicle age a vehicle should be renewed
uint32 | engine_renew_money
| minimum amount of money before autorenew is used
bool | renew_keep_length
| sell some wagons if after autoreplace the train is longer than before
VehicleDefaultSettings | vehicle
| default settings for vehicles

## Detailed Description

Settings that can be set per company.

Definition at line 480 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h